<?php
/**
*
* @package phpBB Extension - Facebook likebox
* @copyright (c) 2016 theriddler - http://www.peppersrus-forum.nl
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace theriddler\facebooklikebox\acp;

class facebooklikebox_module
{
	var $u_action;

	function main($id, $mode)
	{
		global $config, $user, $template, $request;

		$this->tpl_name = 'acp_facebooklikebox_config';
		$this->page_title = $user->lang['ACP_FACEBOOKLIKEBOX_SETTINGS'];
		add_form_key('acp_facebooklikebox_config');

		$submit = $request->is_set_post('submit');
		if ($submit)
		{
			if (!check_form_key('acp_facebooklikebox_config'))
			{
				trigger_error('FORM_INVALID');
			}
			$config->set('facebooklikebox_enable', $request->variable('facebooklikebox_enable', 0));
			$config->set('facebooklikebox_url_field', $request->variable('facebooklikebox_url_field', '', true));
			$config->set('facebooklikebox_appid_field', $request->variable('facebooklikebox_appid_field', '', true));

			trigger_error($user->lang['ACP_FACEBOOKLIKEBOX_CONFIG_SAVED'] . adm_back_link($this->u_action));
		}

		$template->assign_vars(array(
			'ACP_FACEBOOKLIKEBOX_VERSION'			=> (isset($config['facebooklikebox_version'])) ? $config['facebooklikebox_version'] : '',
			'ACP_FACEBOOKLIKEBOX_ENABLE'			=> (!empty($config['facebooklikebox_enable'])) ? true : false,
			'FACEBOOKLIKEBOX_URL_FIELD'				=> (isset($config['facebooklikebox_url_field'])) ? $config['facebooklikebox_url_field'] : '',
			'FACEBOOKLIKEBOX_APPID_FIELD'			=> (isset($config['facebooklikebox_appid_field'])) ? $config['facebooklikebox_appid_field'] : '',
			'U_ACTION'								=> $this->u_action,
		));
	}
}
